Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class UncommittedResolvedAclCache

    java.lang.Object
      oracle.ifs.common.Cache
          oracle.ifs.server.UncommittedResolvedAclCache

    public final class UncommittedResolvedAclCache

extends Cache

An UncommittedResolvedAclCache caches Resolved ACL (AccessControlListResolver) objects for an S_LibrarySession.

Unlike the committed Resolved ACL cache maintained by S_LibraryService (which shares Resolved ACLs across all sessions for that service), an UncommittedResolvedAclCache provides a session-wise transaction-aware Resolved ACL cache.

(Unpublished)

Field Summary
`protected LooselyBoundedCache` | `m_CommittedResolvedAclCache` The committed Resolved ACL cache belonging to S_LibraryService.
`protected java.util.Vector` | `m_Frames` The uncommitted Resolved ACL frames (one for each savepoint).
`protected long` | `m_HitCount` The number of cache hits.
`protected long` | `m_MissCount` The number of cache misses.
`protected long` | `m_PutCount` The number of cache puts.
`protected long` | `m_RemoveCount` The number of cache removes.
`protected S_LibrarySession` | `m_Session` The session to which this UncommittedResolvedAclCache belongs.

Fields inherited from class oracle.ifs.common.Cache
`m_Configuration`

Constructor Summary
`UncommittedResolvedAclCache(UncommittedResolvedAclCacheConfiguration configuration)` Constructs an uncommitted Resolved ACL cache.

Method Summary
`protected void` | `abortTransaction(Transaction transaction)` Handles the cache implications of aborting a transaction.
`protected void` | `beginTransaction(Transaction transaction)` Handles the cache implications of beginning a new transaction.
`protected void` | `completeTransaction(Transaction transaction)` Handles the cache implications of completing a transaction.
`void` | `dispose()` Disposes this cache.
`java.lang.Object` | `find(java.lang.Object id)` Gets an item from this cache.
`AccessControlListResolver` | `findOrConstruct(java.lang.Long id)` Gets an item from this cache.
`CachePerformance` | `getCachePerformance()` Gets the performance information for this cache.
`void` | `invalidateAllUncommittedFrames(java.lang.Long id)` Invalidate (i.e.
`protected void` | `markDirty(java.lang.Long id)` Marks the specified Resolved ACL as being "dirty".
`void` | `put(java.lang.Object id, AccessControlListResolver aclr)` Puts an item in this cache.
`void` | `put(java.lang.Object id, java.lang.Object value)` Puts an item in this cache.
`void` | `remove(java.lang.Object id)` Removes an item from this cache.
`void` | `reset()` Resets this cache.
`void` | `resetCachePerformance()` Resets the performance information for this cache.
`void` | `setCacheConfiguration(CacheConfiguration configuration)` Alters the configuration of this cache.

Methods inherited from class oracle.ifs.common.Cache
`getCacheConfiguration, getElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Session

    protected S_LibrarySession m_Session

  Description copied from class: `UncommittedResolvedAclCache`
  The session to which this UncommittedResolvedAclCache belongs.

  (Unpublished)

### m_CommittedResolvedAclCache

    protected LooselyBoundedCache m_CommittedResolvedAclCache

  Description copied from class: `UncommittedResolvedAclCache`
  The committed Resolved ACL cache belonging to S_LibraryService.

  (Unpublished)

### m_Frames

    protected java.util.Vector m_Frames

  Description copied from class: `UncommittedResolvedAclCache`
  The uncommitted Resolved ACL frames (one for each savepoint).

  (Unpublished)

### m_HitCount

    protected long m_HitCount

  Description copied from class: `UncommittedResolvedAclCache`
  The number of cache hits.

  (Unpublished)

### m_MissCount

    protected long m_MissCount

  Description copied from class: `UncommittedResolvedAclCache`
  The number of cache misses.

  (Unpublished)

### m_PutCount

    protected long m_PutCount

  Description copied from class: `UncommittedResolvedAclCache`
  The number of cache puts.

  (Unpublished)

### m_RemoveCount

    protected long m_RemoveCount

  Description copied from class: `UncommittedResolvedAclCache`
  The number of cache removes.

  (Unpublished)

Constructor Detail

### UncommittedResolvedAclCache

    public UncommittedResolvedAclCache(UncommittedResolvedAclCacheConfiguration configuration)
                                throws IfsException

  Constructs an uncommitted Resolved ACL cache.

  Parameters:
    `configuration` - the configuration paramaters for the new cache
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setCacheConfiguration

    public final void setCacheConfiguration(CacheConfiguration configuration)
                                     throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Alters the configuration of this cache.

  No configuration parameters of an UncommittedResolvedAclCache are updateable. Consequently, this method is a no-op.

  Specified by:
    `setCacheConfiguration` in class `Cache`
  Parameters:
    `configuration` - the configuration parameters
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### put

    public final void put(java.lang.Object id,
                          java.lang.Object value)
                   throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Puts an item in this cache.

  Specified by:
    `put` in class `Cache`
  Parameters:
    `id` - the item id
    `value` - the item
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### put

    public final void put(java.lang.Object id,
                          AccessControlListResolver aclr)
                   throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Puts an item in this cache.

  Parameters:
    `id` - the item id
    `aclr` - the AccessControlListResolver
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### remove

    public final void remove(java.lang.Object id)
                      throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Removes an item from this cache.

  Specified by:
    `remove` in class `Cache`
  Parameters:
    `id` - the item id
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### find

    public final java.lang.Object find(java.lang.Object id)
                                throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Gets an item from this cache.

  Specified by:
    `find` in class `Cache`
  Parameters:
    `id` - the item id
  Returns:
    the item, or null if the item is not in this cache
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### findOrConstruct

    public final AccessControlListResolver findOrConstruct(java.lang.Long id)
                                                    throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Gets an item from this cache. If it is not found, a new ACL resolver is placed in the Committed ACL cache.

  Parameters:
    `id` - the item id
  Returns:
    the item
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getCachePerformance

    public final CachePerformance getCachePerformance()

  Description copied from class: `UncommittedResolvedAclCache`
  Gets the performance information for this cache.

  Specified by:
    `getCachePerformance` in class `Cache`
  Returns:
    a cache performance object
  (Unpublished)

### resetCachePerformance

    public final void resetCachePerformance()

  Description copied from class: `UncommittedResolvedAclCache`
  Resets the performance information for this cache.

  Specified by:
    `resetCachePerformance` in class `Cache`
  (Unpublished)

### reset

    public void reset()

  Description copied from class: `UncommittedResolvedAclCache`
  Resets this cache.

  This causes the cache to be emptied and its performance information to be reset.

  Overrides:
    `reset` in class `Cache`
  (Unpublished)

### dispose

    public void dispose()

  Description copied from class: `UncommittedResolvedAclCache`
  Disposes this cache.

  After the cache is disposed, it is invalid to use this cache.

  Overrides:
    `dispose` in class `Cache`
  (Unpublished)

### markDirty

    protected final void markDirty(java.lang.Long id)
                            throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Marks the specified Resolved ACL as being "dirty".

  Parameters:
    `id` - the ACL id
  Throws:
    `IfsException` - if the operation fails

### invalidateAllUncommittedFrames

    public final void invalidateAllUncommittedFrames(java.lang.Long id)
                                              throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Invalidate (i.e. make shallow) the ACL resolvers for the specified Id in all frames.

  Parameters:
    `id` - the item id
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### beginTransaction

    protected final void beginTransaction(Transaction transaction)
                                   throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Handles the cache implications of beginning a new transaction.

  Parameters:
    `transaction` - the new transaction
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### abortTransaction

    protected final void abortTransaction(Transaction transaction)
                                   throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Handles the cache implications of aborting a transaction.

  Parameters:
    `transaction` - the transaction
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### completeTransaction

    protected final void completeTransaction(Transaction transaction)
                                      throws IfsException

  Description copied from class: `UncommittedResolvedAclCache`
  Handles the cache implications of completing a transaction.

  Parameters:
    `transaction` - the transaction
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD